---
title: XMLHttpRequest.mozBackgroundRequest
slug: Web/API/XMLHttpRequest/mozBackgroundRequest
tags:
  - API
  - Background Service
  - Mozilla
  - Non-standard
  - Property
  - Reference
  - XHR
  - XMLHttpRequest
  - mozBackgroundRequest
---
<p>{{draft}}{{APIRef('XMLHttpRequest')}}</p>

<div class="note">
<p><strong>Note:</strong> This method is not available from Web content. It requires elevated privileges to access.</p>
</div>

<p><span class="seoSummary"><strong><code>XMLHttpRequest.mozBackgroundRequest</code></strong> is a Boolean, indicating if the object represents a background service request.</span> If <code>true</code>, no load group is associated with the request, with security dialogs prevented from being shown to the user.</p>

<p>In cases in where a security dialog (such as authentication or a bad certificate notification) would normally be shown, this request fails instead.</p>

<div class="note">
<p><strong>Note: </strong>This property must be set before calling <code>open()</code>.</p>
</div>
